:root {
  --neon-yellow:	#e0e000;
  --neon-pink: #ff24da;
  --relax: #e2e1df;
  --neon-blue: #2500e0;
  --combined-red: #e02500;
  --neon-offset-x: -9px;
  --neon-offset-y: 6px;
  --blend-mode: darken;
  --grey-1:hsl(210, 24%, 16%);
  --grey-2:hsl(209, 20%, 25%);
  --grey-3:hsl(209, 14%, 37%);
  --grey-4:hsl(211, 10%, 53%);
  --grey-5:hsl(210, 16%, 82%);
  --grey-6:hsl(216, 33%, 97%);
  --body-color: var(--relax);
  --primary-font: "AUTHENTIC Sans", sans-serif;
  --secondary-font: Georgia, serif;
  --primary-text-color: var(--grey-2);
  --secondary-text-color: var(--grey-1);
}

.rocket-richard {
  --toronto-blue: #00205b;
  --washington-red: #c8102e;
  --edmonton-orange: #ff4c00;
  --boston-gold: #fcb514;
  --rangers-blue: #0038A8;
}

#overview {
  display: inline-flex;
  flex-wrap: wrap;
  justify-content: center;
  background: var(--grey-6);
}

.break {
  flex-basis: 100%;
  height: 0;
}

.card {
  flex: 0 1 100%;
  padding: 2rem 1rem 1rem;
  min-width: 400px;
}
.card.hidden {
  display: none;
}
@media (min-width: 600px) {
  .card {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 3rem 2rem 2rem;
    flex: 0 1 50%;
  }
}

.card--winner .card__name {
  font-size: 3rem;
  font-weight: bold;
}
.card--winner .card__goals {
  font-size: 2.5rem;
}
.card--winner .card__goals span {
  font-size: 2rem;
}

.card__name {
  grid-column: span 2;
  font-size: 2.5rem;
  overflow-wrap: anywhere;
  border-radius: 0 0 0.25rem 0.25rem;
  white-space: nowrap;
}

.card__player-profile {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.card__player-info {
  display: flex;
  align-items: center;
}
.card__player-info span {
  font-family: var(--secondary-font);
  margin-left: 0.5rem;
}

.card__team-logo {
  max-height: 80px;
}

.card__goals {
  color: var(--grey-1);
  font-size: 1.125rem;
  font-weight: bold;
  margin: 1rem 0 0.5rem;
}
.card__goals span {
  color: var(--grey-2);
  font-family: var(--secondary-font);
  font-size: 1rem;
  font-weight: 400;
}
@media (min-width: 600px) {
  .card__goals {
    font-size: 2rem;
  }
  .card__goals span {
    font-size: 1.5rem;
  }
}

.card__game-stats {
  list-style: none;
  padding: 0;
}

.card__stat {
  font-size: 1.125rem;
  font-weight: bold;
  color: var(--grey-1);
  margin-bottom: 0.25rem;
}
.card__stat span {
  font-weight: normal;
  font-family: var(--secondary-font);
  color: var(--grey-2);
}

@media (min-width: 600px) {
  .shot-chart {
    margin-left: 0.5rem;
  }
}
.shot-chart .shot-chart__rink {
  position: absolute;
  left: 0;
  top: 0;
}
.shot-chart .circle {
  fill: none;
  stroke-width: 1;
  opacity: 0.8;
}

.shot-map {
  position: relative;
}

#visualizations {
  max-width: 800px;
  background: var(--grey-6);
}
#visualizations h2 {
  margin-bottom: 3rem;
}
@media (min-width: 600px) {
  #visualizations {
    margin: 1rem auto;
    padding: 1rem;
  }
}

#raceChart .tick {
  font-size: 0.75rem;
  fill: var(--grey-2);
}
#raceChart .axis-label {
  font-size: 1rem;
  fill: var(--grey-2);
}
#raceChart .covid-label {
  font-size: 0.875rem;
  fill: var(--grey-2);
  text-rendering: geometricPrecision;
}
#raceChart .covid-line {
  fill: none;
  stroke-linecap: round;
  stroke-width: 3;
  stroke-dasharray: 7;
  stroke: var(--grey-2);
}
#raceChart .legend .name {
  fill: var(--grey-2);
  font-size: 0.875rem;
}
#raceChart .line {
  fill: none;
  stroke-linecap: round;
  stroke-width: 5;
}

#winners {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
}

.matthews {
  fill: var(--toronto-blue);
  stroke: var(--toronto-blue);
}
.matthews.line {
  stroke: var(--toronto-blue);
}
.matthews .card__name {
  border-bottom: 6px solid var(--toronto-blue);
}

.ovechkin {
  fill: var(--washington-red);
  stroke: var(--washington-red);
}
.ovechkin.line {
  stroke: var(--washington-red);
}
.ovechkin .card__name {
  border-bottom: 6px solid var(--washington-red);
}

.pastrnak {
  fill: var(--boston-gold);
  stroke: var(--boston-gold);
}
.pastrnak.line {
  stroke: var(--boston-gold);
}
.pastrnak .card__name {
  border-bottom: 6px solid var(--boston-gold);
}

.draisaitl {
  fill: var(--edmonton-orange);
  stroke: var(--edmonton-orange);
}
.draisaitl.line {
  stroke: var(--edmonton-orange);
}
.draisaitl .card__name {
  border-bottom: 6px solid var(--edmonton-orange);
}

.zibanejad {
  fill: var(--rangers-blue);
  stroke: var(--rangers-blue);
}
.zibanejad.line {
  stroke: var(--rangers-blue);
}
.zibanejad .card__name {
  border-bottom: 6px solid var(--rangers-blue);
}